Subject: Re: [nncp-devel] Pipe option for addrs / nncp-daemon?

From: Sergey Matveev <[email-masked]>
Date: Tue, 22 Oct 2019 14:32:08 +0300

Greetings, again!

*** John Goerzen [2019-10-19 22:56]:
>One of the neat properties of Taylor UUCP is that one can run the thing
>over just about anything.  I'm not saying modem support would be helpful
>in NNCP, but I wonder if a transport that takes a pipe could be added?

Actually I also thought about serial connections support, like direct
COM-to-COM ports connection, but you have to add some reliable
transmission layer above that connection, because it is not errorprone.
But currently no job was done in that direction. At least currently you
can use something like lrzsz utilities to sync nncp-xfer-friendly
directories.

>  addrs:
>    main: "| ssh foo nncp-daemon -pipe"
>The -pipe option above may be very similar, or even identical, to
>-inetd, I would imagine.

This is the second time people asking about that feature :-). Well,
previously I thought that one could easily forward TCP-ports using
something like ssh -L and run nncp-call on locally forwarded port.
However it would also require nncp-daemon running on remote side. Well,
I agree that it becomes pretty complicated and not always you can deal
with with TCP connection.

I am convinced that working on stdin/stdout-based connection and calling
commands like "| something" would be useful and greatly helpful.
Currently, especially because of two weeks vacation and main work, I can
not give exact time estimate when I will implement all of this, but I
hope in 2019-11 in should be completed.

>Why not nncp-bundle?  Well, a couple reasons; the two big ones being not
>being resumable and not having a positive acknowledgment of being
>received on the other end.

You are right, nncp-bundle is for pretty different tasks: personally I
use it to write data on LTO-tapes, CD/DVD-RWs and directly to HDDs
(without the need to create filesystem).

>(As a random aside, should the log file be rotated by the usual system
>logfile rotation tools?)

Yes. In FreeBSD port I maintain I provide example (trivial and obvious)
newsyslog configuration file for that task:
https://git.cypherpunks.ru/cgit.cgi/nncp.git/tree/ports/nncp/files/nncp.newsyslog.conf.sample
Even if NNCP is running under separate users, then you can easily rotate
files by running newsyslog with end-user cron. I do that for rotating
logfiles of fetchmail and maildrop, for example.

>Thanks again!

Thanks for pointing useful issues needs to be fixed and done!

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF